SETTERM(1)

NAME
setterm - set terminal attributes

SYNOPSIS
setterm [ -term terminal_name ]
setterm [ -reset ]
setterm [ -initialize ]
setterm [ -cursor [on|off] ]
setterm [ -keyboard pc|olivetti|dutch|extended ]
setterm [ -repeat [on|off] ]
setterm [ -appcursorkeys [on|off] ]
setterm [ -linewrap [on|off] ]
setterm [ -snow [on|off] ]
setterm [ -softscroll [on|off] ]
setterm [ -defaults ]
setterm [ -foreground black|red|green|yellow|blue|magenta|cyan|white|default ]
setterm [ -background black|red|green|yellow|blue|magenta|cyan|white|default ]
setterm [ -ulcolor black|grey|red|green|yellow|blue|magenta|cyan|white ]
setterm [ -ulcolor bright red|green|yellow|blue|magenta|cyan|white ]
setterm [ -hbcolor black|grey|red|green|yellow|blue|magenta|cyan|white ]
setterm [ -hbcolor bright red|green|yellow|blue|magenta|cyan|white ]
setterm [ -inversescreen [on|off] ]
setterm [ -bold [on|off] ]
setterm [ -half-bright [on|off] ]
setterm [ -blink [on|off] ]
setterm [ -reverse [on|off] ]
setterm [ -underline [on|off] ]
setterm [ -store ]
setterm [ -clear [ all|rest ] ]
setterm [ -tabs [tab1 tab2 tab3 ... ] ] where (tabn = 1-160)
setterm [ -clrtabs [ tab1 tab2 tab3 ... ] where (tabn = 1-160)
setterm [ -regtabs [ 1-160 ] ]
setterm [ -blank [ 0-60 ] ]
setterm [ -powersave [ on|vsync|hsync|powerdown|off ] ]
setterm [ -powerdown [ 0-60 ] ]
setterm [ -dump [ 1-NR_CONS ] ]
setterm [ -append [ 1-NR_CONS ] ]
setterm [ -file dumpfilename ]
setterm [ -standout [ attr ] ]
setterm [ -blength [ 0-2000 ] ]
setterm [ -bfreq freqnumber ]

DESCRIPTION
setterm writes to standard output a character string that will invoke the specified terminal capabilities. Where possibile terminfo is consulted to find the string to use. Some options however do not correspond to a terminfo(5) capability. In this case, if the terminal type is "con", or "linux" the string that invokes the specified capabilities on the PC Minix virtual console driver is output. Options that are not implemented by the terminal are ignored.

OPTIONS
Most options are self explanatory. The less obvious options are as follows:

-term
    can be used to override the TERM environment variable.

-reset
    displays the terminal reset string, which typically resets the terminal to its power on state.

-initialize
    displays the terminal initialization string, which typically sets the terminal's rendering options, and other attributes to the default values.

-default
    sets the terminal's rendering options to the default values.

-store
    stores the terminal's current rendering options as the default values.

SEE ALSO
tput(1), stty(1), terminfo(5), tty(4)

BUGS
Differences between the Minix and Linux versions are not documented.

AUTHORS
Gordon Irlam (gordoni@cs.ua.oz.au)
Adaption to Linux by Peter MacDonald
Enhancements by Mika Liljeberg (liljeber@cs.Helsinki.FI)
Beep patch by Christophe Jolif (cjolif@storm.gatelink.fr.net)